/* windChillDriver is a driver program to test the 
 *windChill() function.
 * By: Joel C. Adams, Summer 2001.
 * For: C++ An Introduction to Computing 3/e.
 *************************************************************/

#include <iostream>                            // cin, cout, <<, >>
using namespace std;

double windChill(double tempFahr, double windSpeed); // prototype

int main()
{
   double temp,   // Fahrenheit temperature
          wind;   // wind speed (mph)

   cout << "Enter Fahrenheit temperature and wind speed (mph): ";
   cin >> temp >> wind;
   cout << "Wind chill index is " << windChill(temp, wind) << endl;
}

/* windChill computes wind chill.
 *
 * Receive: tempFahr, a Fahrenheit temperature
 *          windSpeed, in miles per hour
 *
 * Return:  the wind chill
 *******************************************************************/

# include <cmath>      // sqrt()
using namespace std;

double windChill(double tempFahr, double windSpeed)  // definition
{
   double v_part = 
             0.474677 - 0.020425 * windSpeed + 0.303107 * sqrt(windSpeed);
   return 91.4 - v_part * (91.4 - tempFahr);
}
